<?php
header("Content-type:text/html;charset=utf-8");  
session_start();
$session_admin = isset($_SESSION['admin']) ? $_SESSION['admin'] : ''; 
if ($session_admin == '') {
	die("Can not access");
}
require_once("../common.php");
checkadminrights($session_admin, 'sysmsgs');

function step2() {
	require_once("../common.php");

	$sysmsgid = isset($_GET['sysmsgid']) ? $_GET['sysmsgid'] : '0';
	$title = isset($_GET['title']) ? urldecode($_GET['title']) : '';

	$methodname = 'Admin.RemoveSysMsg';
	$requestinfo = '<?xml version="1.0" encoding="utf-8"?><request>' . 
		'<ip>' . getip() . '</ip>' . 
		'<sysmsgid>' . $sysmsgid . '</sysmsgid>' . 
		'</request> ';
	$responseinfo = '';
	$responsexml = null;
	$errorcode = ERRORCODE_UNKNOWN;

	$cmd = new COM("OpenCom.Command");
	$methodname = iconv('UTF-8', 'GBK//IGNORE', $methodname);
	$requestinfo = iconv('UTF-8', 'GBK//IGNORE', $requestinfo);
	if ($cmd->Execute($methodname, $requestinfo, $responseinfo, 5000)) {
		$responseinfo = iconv('GBK', 'UTF-8//IGNORE', $responseinfo);
		$responsexml = simplexml_load_string($responseinfo);
		$errorcode = $responsexml->errorcode;
	}
	$cmd = null;

	switch($errorcode) {
		case ERRORCODE_OK: 
			header("Location: sysmsgs.php");
			break;
		default:
			header("Location: sysmsgs.php");
	}//switch
}//step2

$step = isset($_GET['step']) ? $_GET['step'] : '1'; 

if ($step == '2') {
	step2();
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link type="text/css" rel="stylesheet" href="../css/base.css" />
</head>
<body>

<?php
	$sysmsgid = isset($_GET['sysmsgid']) ? $_GET['sysmsgid'] : '0';
	$title = isset($_GET['title']) ? urldecode($_GET['title']) : '';

	//subpageurlparams
	$subpageurlparams = 'sysmsgid=' . $sysmsgid . '&title=' . urlencode($title);

echo<<<EOT
	<div class="msgbox">
		<div class="msgbox_text">
			<img width="40px" height="40px" align="absmiddle" src="../images/warning.gif" />&nbsp;确定删除系统消息&nbsp;&quot;$title&quot;？
		</div>
		<div class="msgbox_btns">
			<input class="cssbtn" type="button" value="确定" onclick="window.location='sysmsgs_remove.php?step=2&{$subpageurlparams}'" />
			<input class="cssbtn" type="button" value="取消" onclick="window.location='sysmsgs.php'" />
		</div>
	</div>
EOT;
?>

</body>
</html>
